org.apache.hadoop.hdfs.server.datanode

## Class CachingStrategy.Builder

- java.lang.Object
- - org.apache.hadoop.hdfs.server.datanode.CachingStrategy.Builder

- Enclosing class:
    CachingStrategy

      public static class CachingStrategy.Builder
      extends Object

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `Builder(CachingStrategy prev)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `CachingStrategy` | `build()`
    `CachingStrategy.Builder` | `setDropBehind(Boolean dropBehind)`
    `CachingStrategy.Builder` | `setReadahead(Long readahead)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### Builder

          public Builder(CachingStrategy prev)

  - ### Method Detail

    - #### setDropBehind

          public CachingStrategy.Builder setDropBehind(Boolean dropBehind)

    - #### setReadahead

          public CachingStrategy.Builder setReadahead(Long readahead)

    - #### build

          public CachingStrategy build()

Copyright © 2008–2022 Apache Software Foundation. All rights reserved.